Returns a list of available Testimonial widgets.
GET
https://api.usetrust.app/v1/widgets
Responses
200
- WidgetsExample
{ "testimonialWidgets": [ { "workspaceId": "142f7229-f89b-5f17-84cf-31f04d1ca412", "widgetId": "54cf7219-e89b-4f17-84cf-31f04d1ca412", "type": "popup", "active": true, "name": null, "description": null }, { "workspaceId": "142f7229-f89b-5f17-84cf-31f04d1ca412", "widgetId": "54cf7219-e89b-4f17-84cf-31f04d1ca412", "type": "onpage", "active": true, "name": "Homepage", "description": "Multi - Carousel" }, { "workspaceId": "142f7229-f89b-5f17-84cf-31f04d1ca412", "widgetId": "ec4cb952-6d94-4e67-90e0-f1c4a76035ba", "type": "onpage", "active": true, "name": "LandingPage 1", "description": "Multi - Static" } ] }- testimonialWidgetsWidgetData[]Description
- workspaceIdstring<uuid>
- widgetIdstring<uuid>ExampleDescription
- typestringExampleDescription
- activebooleanExampleDescription
- namestringExampleDescription
- descriptionstringExampleDescription
500
- string
curl
curl --request GET \
--url https://api.usetrust.app/v1/widgets \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.usetrust.app/v1/widgets", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.usetrust.app/v1/widgets")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.usetrust.app/v1/widgets"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
csharp
var options = new RestClientOptions("https://api.usetrust.app")
{
MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("/v1/widgets", Method.Get);
request.AddHeader("accept", "application/json");
request.AddHeader("content-type", "application/json");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);200
// Returns an object that contains an array of all testimonial widgets.
{
"testimonialWidgets": [
{
"workspaceId": "",
"widgetId": "0a226010-21cb-4c9c-96cb-4966c4008cbe",
"type": "onpage",
"active": true,
"name": "Signup Page",
"description": "Single - Static"
}
]
}500
// Internal Server Error
""